Brivio API reference
Rewards

Create or fetch a member by externalRef or customerId; 201 when created (scope: rewards:write)

POST
/rewards/members

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body

Exactly one of externalRef or customerId.

externalRef?string
Length1 <= length <= 200
customerId?string

An end customer of your organization.

Formatuuid

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/rewards/members" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "ref": "string",    "programKey": "string",    "memberId": 0,    "optedIn": true,    "optedInAt": "2019-08-24T14:15:22Z",    "holdout": true,    "balance": {      "available": 0,      "pending": 0,      "inDebt": true    },    "level": {      "level": 0,      "xp": 0,      "floor": 0,      "next": 0,      "ratio": 0    },    "streak": {      "current": 0,      "longest": 0,      "freezes": 0,      "atRisk": true,      "currentPeriod": "string",      "activeThisPeriod": true    },    "expiry": {      "units": 0,      "at": "2019-08-24T14:15:22Z"    },    "perks": [      "string"    ]  },  "error": null}